Create speech
curl --request POST \
--url https://openrouter.ai/api/v1/audio/speech \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": "Hello world",
"model": "elevenlabs/eleven-turbo-v2",
"response_format": "pcm",
"speed": 1,
"voice": "alloy"
}
'import requests
url = "https://openrouter.ai/api/v1/audio/speech"
payload = {
"input": "Hello world",
"model": "elevenlabs/eleven-turbo-v2",
"response_format": "pcm",
"speed": 1,
"voice": "alloy"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: 'Hello world',
model: 'elevenlabs/eleven-turbo-v2',
response_format: 'pcm',
speed: 1,
voice: 'alloy'
})
};
fetch('https://openrouter.ai/api/v1/audio/speech', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<binary audio data>"{
"error": {
"code": 400,
"message": "Invalid request parameters"
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 402,
"message": "Insufficient credits. Add more using https://openrouter.ai/credits"
}
}{
"error": {
"code": 404,
"message": "Resource not found"
}
}{
"error": {
"code": 429,
"message": "Rate limit exceeded"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}{
"error": {
"code": 502,
"message": "Provider returned error"
}
}{
"error": {
"code": 503,
"message": "Service temporarily unavailable"
}
}{
"error": {
"code": 524,
"message": "Request timed out. Please try again later."
}
}{
"error": {
"code": 529,
"message": "Provider returned error"
}
}TTS
Create speech
Synthesizes audio from the input text. Returns a raw audio bytestream in the requested format (e.g. mp3, pcm, wav).
POST
/
audio
/
speech
Create speech
Authorizations
API key as bearer token in Authorization header
Body
application/json
Text-to-speech request input
Text to synthesize
Example:
"Hello world"
TTS model identifier
Example:
"elevenlabs/eleven-turbo-v2"
Voice identifier (provider-specific).
Example:
"alloy"
Provider-specific passthrough configuration
Show child attributes
Show child attributes
Audio output format
Available options:
mp3, pcm Example:
"pcm"
Playback speed multiplier. Only used by models that support it (e.g. OpenAI TTS). Ignored by other providers.
Example:
1
Response
Audio bytes stream
Raw audio bytestream. Content-Type varies by requested format (audio/mpeg for mp3, audio/pcm for pcm — 16-bit little-endian).
⌘I